package ru.kirillius.cooler.controller.CLI;

public class SimpleMenuItem<T> implements MenuItem<T> {
    private final T value;
    private final String name;

    public SimpleMenuItem(T value, String name) {
        this.value = value;
        this.name = name;
    }

    @Override
    public String render() {
        return name;
    }

    @Override
    public T select() {
        return value;
    }
}
